<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CerereAchizitieServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.service.impl</a> &gt; <span class="el_source">CerereAchizitieServiceImpl.java</span></div><h1>CerereAchizitieServiceImpl.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.service.impl;

import com.theo.myjhipster.service.CerereAchizitieService;
import com.theo.myjhipster.domain.CerereAchizitie;
import com.theo.myjhipster.repository.CerereAchizitieRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Optional;

/**
 * Service Implementation for managing CerereAchizitie.
 */
@Service
@Transactional
public class CerereAchizitieServiceImpl implements CerereAchizitieService {

<span class="fc" id="L23">    private final Logger log = LoggerFactory.getLogger(CerereAchizitieServiceImpl.class);</span>

    private final CerereAchizitieRepository cerereAchizitieRepository;

<span class="fc" id="L27">    public CerereAchizitieServiceImpl(CerereAchizitieRepository cerereAchizitieRepository) {</span>
<span class="fc" id="L28">        this.cerereAchizitieRepository = cerereAchizitieRepository;</span>
<span class="fc" id="L29">    }</span>

    /**
     * Save a cerereAchizitie.
     *
     * @param cerereAchizitie the entity to save
     * @return the persisted entity
     */
    @Override
    public CerereAchizitie save(CerereAchizitie cerereAchizitie) {
<span class="fc" id="L39">        log.debug(&quot;Request to save CerereAchizitie : {}&quot;, cerereAchizitie);</span>
<span class="fc" id="L40">        return cerereAchizitieRepository.save(cerereAchizitie);</span>
    }

    /**
     * Get all the cerereAchizities.
     *
     * @param pageable the pagination information
     * @return the list of entities
     */
    @Override
    @Transactional(readOnly = true)
    public Page&lt;CerereAchizitie&gt; findAll(Pageable pageable) {
<span class="fc" id="L52">        log.debug(&quot;Request to get all CerereAchizities&quot;);</span>
<span class="fc" id="L53">        return cerereAchizitieRepository.findAll(pageable);</span>
    }


    /**
     * Get one cerereAchizitie by id.
     *
     * @param id the id of the entity
     * @return the entity
     */
    @Override
    @Transactional(readOnly = true)
    public Optional&lt;CerereAchizitie&gt; findOne(Long id) {
<span class="fc" id="L66">        log.debug(&quot;Request to get CerereAchizitie : {}&quot;, id);</span>
<span class="fc" id="L67">        return cerereAchizitieRepository.findById(id);</span>
    }

    /**
     * Delete the cerereAchizitie by id.
     *
     * @param id the id of the entity
     */
    @Override
    public void delete(Long id) {
<span class="fc" id="L77">        log.debug(&quot;Request to delete CerereAchizitie : {}&quot;, id);</span>
<span class="fc" id="L78">        cerereAchizitieRepository.deleteById(id);</span>
<span class="fc" id="L79">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>